Projects

List projects

Lists all projects for the authenticated user. Results are paginated.

GET
/project
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Query Parameters

page?Page

Page number.

Default1
per_page?Per Page

Items per page.

Default20
Range1 <= value <= 100
order?Order

Sort order.

Default"desc"
Value in"asc" | "desc"
sort_by?Sort By

Sort by field.

Default"created_at"
Value in"name" | "created_at"

Response Body

Examples

curl -X GET "https://v2.api.piktid.com/project?page=1&per_page=20&order=asc&sort_by=name"
{
  "projects": [
    {
      "project_id": "string",
      "project_name": "string",
      "created_at": "string",
      "jobs": [
        "string"
      ]
    }
  ],
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total": 0,
    "pages": 0,
    "has_next": true,
    "has_prev": true
  }
}
Empty
Empty